\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - Planar Parameterization of Triangulated Surface Meshes

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
List of all members | Protected Member Functions
CGAL::Square_border_uniform_parameterizer_3< ParameterizationMesh_3 > Class Template Reference
Border Parameterization Methods

`#include <CGAL/Square_border_parameterizer_3.h>`

## Inherits from

CGAL::Square_border_parameterizer_3< ParameterizationMesh_3 >.

## Definition

This class parameterizes the border of a 3D surface onto a square in a uniform manner: points are equally spaced.

Square_border_parameterizer_3 implements most of the border parameterization algorithm. This class implements only compute_edge_length() to compute a segment's length.

Is Model Of:
  `BorderParameterizer_3`

Examples:
  Surface_mesh_parameterization/polyhedron_ex_parameterization.cpp.

## Protected Member Functions
virtual double | compute_edge_length (const Adaptor &, Vertex_const_handle, Vertex_const_handle)
| Compute the length of an edge. More...

## Additional Inherited Members
Public Types inherited from CGAL::Square_border_parameterizer_3< ParameterizationMesh_3 >
typedef ParameterizationMesh_3 | Adaptor
| Export ParameterizationMesh_3 template parameter.
Public Member Functions inherited from CGAL::Square_border_parameterizer_3< ParameterizationMesh_3 >
virtual | ~Square_border_parameterizer_3 ()
| Destructor of base class should be virtual.
Parameterizer_traits_3 < Adaptor >::Error_code | parameterize_border (Adaptor &mesh)
| Assign to mesh's border vertices a 2D position (i.e. a (u,v) pair) on border's shape. More...
bool | is_border_convex ()
| Indicate if border's shape is convex.

## Member Function Documentation

template<class ParameterizationMesh_3 >

virtual double CGAL::Square_border_uniform_parameterizer_3< ParameterizationMesh_3 >::compute_edge_length | ( | const Adaptor & | ,
|  | Vertex_const_handle | ,
|  | Vertex_const_handle |
| ) |  |
| protected virtual

Compute the length of an edge.

Uniform border parameterization: points are equally spaced.

Implements CGAL::Square_border_parameterizer_3< ParameterizationMesh_3 >.